import { ExtNode } from '../../json-crdt/extensions/ExtNode';
import { ExtensionId } from '../constants';
import type { ArrNode, StrNode } from '../../json-crdt/nodes';
import type { PeritextDataNode } from './types';
import type { SliceNode } from './slice/types';
export declare class PeritextNode extends ExtNode<PeritextDataNode> {
    text(): StrNode<string>;
    slices(): ArrNode<SliceNode>;
    readonly extId = ExtensionId.peritext;
    name(): string;
    view(): string;
}
